import {Table, Column, Model, BelongsToMany} from 'sequelize-typescript';
import { Product } from './Product';
import { ProductInvoice } from './ProductInvoice';

@Table
export class Invoice extends Model<Invoice> {
 
  @Column
  nr: number;
 
  @BelongsToMany(() => Product, () => ProductInvoice)
  products: Product[];
}