import {Table, Column, Model, BelongsToMany} from 'sequelize-typescript';
import { Invoice } from './Invoice';
import { ProductInvoice } from './ProductInvoice';

@Table
export class Product extends Model<Product> {
 
  @Column
  name: string;
 
  @BelongsToMany(() => Invoice, () => ProductInvoice)
  invoices: Invoice[];
}