import {Table, Column, Model, ForeignKey} from 'sequelize-typescript';
import { Product } from './Product';
import { Invoice } from './Invoice';

@Table
export class ProductInvoice extends Model<ProductInvoice> {
 
    @ForeignKey(() => Product)
    @Column
    productId: number;
   
    @ForeignKey(() => Invoice)
    @Column
    invoiceId: number;
}